# applyPostMoveUsedAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPostMoveUsedAbAttrs

- applyPostMoveUsedAbAttrs(
  attrType: Constructor < PostMoveUsedAbAttr >,
  pokemon: default ,
  move: PokemonMove ,
  source: default ,
  targets: BattlerIndex [],
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < PostMoveUsedAbAttr >
  - pokemon: default
  - move: PokemonMove
  - source: default
  - targets: BattlerIndex []
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:5737